Class | Sequel::Error
In: | lib/sequel/exceptions.rb
Parent: | ::StandardError

The default exception class for exceptions raised by Sequel. All exception classes defined by Sequel are descendants of this class.

### Constants

AdapterNotFound | = | Sequel::AdapterNotFound
InvalidOperation | = | Sequel::InvalidOperation
InvalidValue | = | Sequel::InvalidValue
PoolTimeoutError | = | Sequel::PoolTimeout
Rollback | = | Sequel::Rollback

### Attributes

wrapped_exception | [RW] | If this exception wraps an underlying exception, the underlying exception is held here.

[Validate]